Changes between Version 9 and Version 10 of DevEnvironment


Ignore:
Timestamp:
06/27/11 11:18:12 (3 years ago)
Author:
matija
Comment:

new dependency of sphinx: numpydoc

Legend:

Unmodified
Added
Removed
Modified
  • DevEnvironment

    v9 v10  
    1515* `make`, `g++`, `python-dev`, `python-numpy`, `python-matplotlib` and `python-imaging` are needed to build and use the Orange scripting environment, and 
    1616* `python-qwt5-qt4` is needed in order for the Orange Canvas (GUI) to work, 
    17 * `python-sphinx`, `texlive-latex-base`, `texlive-latex-recommended`, `texlive-latex-extra` and `dvipng` are needed to build the HTML documentation. 
     17* `python-sphinx`, `texlive-latex-base`, `texlive-latex-recommended`, `texlive-latex-extra` and `dvipng` are needed to build the HTML documentation, 
     18* `python-setuptools` provides `easy_install`, which we need for `numpydoc`. 
    1819 
    1920Beware that Sphinx has to be at least of version 1.0; Ubuntu 10.10 and older contain older versions of Sphinx, so you should '''not''' install the `python-sphinx` from apt repository, but find another way, such as `easy_install sphinx`. 
     
    2122This is the command to install all those packages in one shot: 
    2223{{{ 
    23 sudo apt-get install eclipse libsvn-java make g++ python-dev python-numpy python-matplotlib python-imaging python-qwt5-qt4 python-sphinx texlive-latex-base texlive-latex-recommended texlive-latex-extra dvipng 
     24sudo apt-get install eclipse libsvn-java make g++ python-dev python-numpy python-matplotlib python-imaging python-qwt5-qt4 python-sphinx texlive-latex-base texlive-latex-recommended texlive-latex-extra dvipng python-setuptools 
     25}}} 
     26 
     27To build the documentation, `numpydoc` is also needed: 
     28{{{ 
     29sudo easy_install numpydoc 
    2430}}} 
    2531 
    2632If you wish to use Orange for network analysis, you also need a recent version of networkx; you can install it with: 
    2733{{{ 
    28 sudo apt-get install python-setuptools 
    2934sudo easy_install networkx 
    3035}}}